{% extends "starwars/base.html" %}

{% block content %}
  <h2><a href="{% url 'inspection' id=collection.id %}">{{ collection.file }}</a></h2>

  <div class="btn-group">
    {% for head in all_headers %}
      <a href="{{ head.link }}" class="btn btn-outline-primary{% if head.header in selected_columns %} active{% endif %}">{{ head.header }}</a>
    {% endfor %}
  </div>

  {% if table_body %}
    <table class="table">
      <thead>
      <tr>
        {% for col in table_header %}
          <th scope="col">{{ col }}</th>
        {% endfor %}
      </tr>
      </thead>
      <tbody>
      {% for row in table_body %}
        <tr>
          {% for value in row %}
            <td>{{ value }}</td>
          {% endfor %}
        </tr>
      {% endfor %}
      </tbody>
    </table>
  {% endif %}

{% endblock %}
